### Function Macro

# GLib assert_false

since: 2.38

#### Declaration

    #define g_assert_false (
      expr
    )

#### Description

Debugging macro to check an expression is false.

If the assertion fails (i.e. the expression is not false), an error message is logged and the application is either terminated or the testcase marked as failed.

Note that unlike g_assert(), this macro is unaffected by whether `G_DISABLE_ASSERT` is defined. Hence it should only be used in tests and, conversely, `g_assert()` should not be used in tests.

See g_test_set_nonfatal_assertions().

Available since: 2.38

This function is not directly available to language bindings.

#### Parameters

`expr`

  Type: `-`

  The expression to check.